# Trait ethcore_light::net::EventContext [−] [src]

    pub trait EventContext: BasicContext {
        fn peer(&self) -> PeerId;
        fn as_basic(&self) -> &BasicContext;
    }

Context for a protocol event which has a peer ID attached.

## Required Methods

### `fn peer(&self) -> PeerId`

Get the peer relevant to the event e.g. message sender, disconnected/connected peer.

### `fn as_basic(&self) -> &BasicContext`

Treat the event context as a basic context.

## Implementors

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)